class Buch { // repraesentiert ein Buch
	int isbn;

	String titel;

	Buch(int isbn, String titel) {
		this.isbn = isbn;
		this.titel = titel;
	}

	int getIsbn() {
		return this.isbn;
	}

	String getTitel() {
		return this.titel;
	}
}

class Buchhandlung { // realisiert einfache Buchhandlung
	String name;

	Buch[] buecher;

	int next;

	Buchhandlung(String name, int maxGroesse) {
		this.name = name;
		this.buecher = new Buch[maxGroesse];
		for (int i = 0; i < maxGroesse; i++)
			this.buecher[i] = null;
		this.next = 0;
	}

	void buchEintragen(Buch buch) {
		if (this.next < this.buecher.length)
			this.buecher[this.next++] = buch;
	}

	Buch buchVerkaufen(int isbn) {
		for (int i = 0; i < this.next; i++) {
			if ((this.buecher[i] != null) && (buecher[i].getIsbn() == isbn)) {
				Buch buch = buecher[i];
				buecher[i] = null; // Buch wird ausgetragen
				return buch;
			}
		}
		return null;
	}

	boolean buecherVorhanden() {
		for (int i = 0; i < this.next; i++)
			if (this.buecher[i] != null)
				return true;
		return false;
	}
}

class BuchSzenario {
	public static void main(String[] args) {
		// Buchhandlung erzeugen und initialisieren
		String name = IO.readString("Name der Buchhandlung: ");
		int anzahlBuecher = IO.readInt("Max Anzahl Buecher: ");
		Buchhandlung handlung = new Buchhandlung(name, anzahlBuecher);

		// Buecher bestellen
		IO.println("Einkauf");
		int anzahlBestell = IO.readInt("Anzahl an Buchbestellungen: ");
		for (int i = 0; i < anzahlBestell; i++) {
			Buch buch = new Buch(IO.readInt("ISBN: "), IO.readString("Titel: "));
			handlung.buchEintragen(buch);
		}
		// Buecher verkaufen
		IO.println("Buchverkauf");
		while (handlung.buecherVorhanden()) {
			int isbn = IO.readInt("ISBN: ");
			Buch buch = handlung.buchVerkaufen(isbn);
			if (buch == null) {
				IO.println("Das Buch haben wir leider nicht!");
			} else {
				IO.println("Hier haben Sie das Buch mit dem Titel: "
						+ buch.getTitel());
			}
		}

		// Ausverkauft
		IO.println("Ausverkauft!");
	}
}
